/** @type {import('tailwindcss').Config} */
module.exports = {
  // purge: ["./index.html", "./src/**/*.{vue,js,ts,jsx,tsx}"],
  // purge: ["./index.html", "./src/**/*.{vue,js,ts,jsx,tsx}"],
  content: [
    // Example content paths...
    "./public/**/*.html",
    "./src/**/*.{js,jsx,ts,tsx,vue}",
  ],
  theme: {
    extend: {},
    screens: {
      sm: { max: "767px" },
      md: { max: "1023px" },
      lg: { max: "1279px" },
      xl: { max: "1535px" },
      "2xl": { min: "1536px" },
    },
    colors: {
      pp: {
        100: "#eed1d5",
        200: "#dca4aa",
        300: "#cb7680",
        400: "#b94955",
        500: "#a81b2b",
        600: "#861622",
        700: "#65101a",
        800: "#430b11",
        900: "#220509"
      },
      purple: {
        100: "#BE8AEF",
        200: "#B172EC",
        300: "#A45BE9",
        400: "#9744E5",
        500: "#8A2BE2",
        600: "#7B1DD3",
        700: "#6C19B9",
        800: "#5C169F",
        900: "#4D1284",
        default: "#8A2BE2",
      },
      orange: {
        100: "#ffedcc",
        200: "#ffdb99",
        300: "#ffc966",
        400: "#ffb733",
        500: "#ffa500",
        600: "#cc8400",
        700: "#996300",
        800: "#664200",
        900: "#332100",
        default: "#ffa500"
      },
      suc: {
        100: "#dcf3d1",
        200: "#bae7a3",
        300: "#97dc76",
        400: "#75d048",
        500: "#52c41a",
        600: "#429d15",
        700: "#317610",
        800: "#214e0a",
        900: "#102705",
        default: "#52c41a"
      },
      blue:{
        default:'#0052D9',
        100: "#CCE0F7",
        200: "#99C1EF",
        300: "#66A3E8",
        400: "#337AE0",
        500: "#0052D9",
        600: "#003FAB",
        700: "#002B7D",
        800: "#00184F",
        900: "#000421",
      }
    },
  },
  plugins: [],
  important: true,
};
